OGRE: Ogre::RenderQueue::RenderableListener Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RenderQueue::RenderableListener Class Referenceabstract

Class to listen in on items being added to the render queue. More...

`#include <OgreRenderQueue.h>`

## Public Member Functions
| RenderableListener ()
virtual | ~RenderableListener ()
virtual bool | renderableQueued (Renderable *rend, uint8 groupID, ushort priority, Technique **ppTech, RenderQueue *pQueue)=0
| Method called when a Renderable is added to the queue.

## Detailed Description

Class to listen in on items being added to the render queue.

Use RenderQueue::setRenderableListener to get callbacks when an item is added to the render queue.

## Constructor & Destructor Documentation

## ◆ RenderableListener()

Ogre::RenderQueue::RenderableListener::RenderableListener | ( |  | ) |
| inline

## ◆ ~RenderableListener()

virtual Ogre::RenderQueue::RenderableListener::~RenderableListener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ renderableQueued()

virtual bool Ogre::RenderQueue::RenderableListener::renderableQueued | ( | Renderable * | rend,
|  | uint8 | groupID,
|  | ushort | priority,
|  | Technique ** | ppTech,
|  | RenderQueue * | pQueue )
| pure virtual

Method called when a Renderable is added to the queue.

You can use this event hook to alter the Technique used to render a Renderable as the item is added to the queue. This is a low-level way to override the material settings for a given Renderable on the fly.

Parameters

  rend | The Renderable being added to the queue
  groupID | The render queue group this Renderable is being added to
  priority | The priority the Renderable has been given
  ppTech | A pointer to the pointer to the Technique that is intended to be used; you can alter this to an alternate Technique if you so wish (the Technique doesn't have to be from the same Material either).
  pQueue | Pointer to the render queue that this object is being added to. You can for example call this back to duplicate the object with a different technique

Returns
  true to allow the Renderable to be added to the queue, false if you want to prevent it being added

References Ogre::RenderQueue::RenderQueue().

The documentation for this class was generated from the following file:

- OgreRenderQueue.h